require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::AddressTypesController < ApplicationController
    before_action :set_base_address_type, only: [:show, :edit, :update, :destroy]

    # GET /base/address_types
    def index
      @base_address_types = Base::AddressType.all
    end

    # GET /base/address_types/1
    def show
    end

    # GET /base/address_types/new
    def new
      @base_address_type = Base::AddressType.new
    end

    # GET /base/address_types/1/edit
    def edit
    end

    # POST /base/address_types
    def create
      @base_address_type = Base::AddressType.new(base_address_type_params)

      if @base_address_type.save
        redirect_to @base_address_type, notice: 'Address type was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/address_types/1
    def update
      if @base_address_type.update(base_address_type_params)
        redirect_to @base_address_type, notice: 'Address type was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/address_types/1
    def destroy
      @base_address_type.destroy
      redirect_to base_address_types_url, notice: 'Address type was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_address_type
        @base_address_type = Base::AddressType.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_address_type_params
        params.require(:base_address_type).permit(:name)
      end
  end
end
