require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::CitiesController < ApplicationController
    before_action :set_base_city, only: [:show, :edit, :update, :destroy]

    # GET /base/cities
    def index
      @base_cities = Base::City.all
    end

    # GET /base/cities/1
    def show
    end

    # GET /base/cities/new
    def new
      @base_city = Base::City.new
    end

    # GET /base/cities/1/edit
    def edit
    end

    # POST /base/cities
    def create
      @base_city = Base::City.new(base_city_params)

      if @base_city.save
        redirect_to @base_city, notice: 'City was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/cities/1
    def update
      if @base_city.update(base_city_params)
        redirect_to @base_city, notice: 'City was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/cities/1
    def destroy
      @base_city.destroy
      redirect_to base_cities_url, notice: 'City was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_city
        @base_city = Base::City.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_city_params
        params.require(:base_city).permit(:name, :name_ascii, :region, :latitude, :longitude, :country_id)
      end
  end
end
