require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::EmailAddressTypesController < ApplicationController
    before_action :set_base_email_address_type, only: [:show, :edit, :update, :destroy]

    # GET /base/email_address_types
    def index
      @base_email_address_types = Base::EmailAddressType.all
    end

    # GET /base/email_address_types/1
    def show
    end

    # GET /base/email_address_types/new
    def new
      @base_email_address_type = Base::EmailAddressType.new
    end

    # GET /base/email_address_types/1/edit
    def edit
    end

    # POST /base/email_address_types
    def create
      @base_email_address_type = Base::EmailAddressType.new(base_email_address_type_params)

      if @base_email_address_type.save
        redirect_to @base_email_address_type, notice: 'Email address type was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/email_address_types/1
    def update
      if @base_email_address_type.update(base_email_address_type_params)
        redirect_to @base_email_address_type, notice: 'Email address type was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/email_address_types/1
    def destroy
      @base_email_address_type.destroy
      redirect_to base_email_address_types_url, notice: 'Email address type was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_email_address_type
        @base_email_address_type = Base::EmailAddressType.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_email_address_type_params
        params.require(:base_email_address_type).permit(:name)
      end
  end
end
