require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::EmailAddressesController < ApplicationController
    before_action :set_base_email_address, only: [:show, :edit, :update, :destroy]

    # GET /base/email_addresses
    def index
      @base_email_addresses = Base::EmailAddress.all
    end

    # GET /base/email_addresses/1
    def show
    end

    # GET /base/email_addresses/new
    def new
      @base_email_address = Base::EmailAddress.new
    end

    # GET /base/email_addresses/1/edit
    def edit
    end

    # POST /base/email_addresses
    def create
      @base_email_address = Base::EmailAddress.new(base_email_address_params)

      if @base_email_address.save
        redirect_to @base_email_address, notice: 'Email address was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/email_addresses/1
    def update
      if @base_email_address.update(base_email_address_params)
        redirect_to @base_email_address, notice: 'Email address was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/email_addresses/1
    def destroy
      @base_email_address.destroy
      redirect_to base_email_addresses_url, notice: 'Email address was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_email_address
        @base_email_address = Base::EmailAddress.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_email_address_params
        params.require(:base_email_address).permit(:value, :email_address_type_id)
      end
  end
end
