require_dependency "core_models/application_controller"

module CoreModels
  class Base::RegionsController < ApplicationController
    before_action :set_base_region, only: [:show, :edit, :update, :destroy]

    # GET /base/regions
    def index
      @base_regions = Base::Region.all
    end

    # GET /base/regions/1
    def show
    end

    # GET /base/regions/new
    def new
      @base_region = Base::Region.new
    end

    # GET /base/regions/1/edit
    def edit
    end

    # POST /base/regions
    def create
      @base_region = Base::Region.new(base_region_params)

      if @base_region.save
        redirect_to @base_region, notice: 'Region was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/regions/1
    def update
      if @base_region.update(base_region_params)
        redirect_to @base_region, notice: 'Region was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/regions/1
    def destroy
      @base_region.destroy
      redirect_to base_regions_url, notice: 'Region was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_region
        @base_region = Base::Region.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_region_params
        params.require(:base_region).permit(:country_id, :code)
      end
  end
end
