require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::TelephoneNumberTypesController < ApplicationController
    before_action :set_base_telephone_number_type, only: [:show, :edit, :update, :destroy]

    # GET /base/telephone_number_types
    def index
      @base_telephone_number_types = Base::TelephoneNumberType.all
    end

    # GET /base/telephone_number_types/1
    def show
    end

    # GET /base/telephone_number_types/new
    def new
      @base_telephone_number_type = Base::TelephoneNumberType.new
    end

    # GET /base/telephone_number_types/1/edit
    def edit
    end

    # POST /base/telephone_number_types
    def create
      @base_telephone_number_type = Base::TelephoneNumberType.new(base_telephone_number_type_params)

      if @base_telephone_number_type.save
        redirect_to @base_telephone_number_type, notice: 'Telephone number type was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/telephone_number_types/1
    def update
      if @base_telephone_number_type.update(base_telephone_number_type_params)
        redirect_to @base_telephone_number_type, notice: 'Telephone number type was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/telephone_number_types/1
    def destroy
      @base_telephone_number_type.destroy
      redirect_to base_telephone_number_types_url, notice: 'Telephone number type was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_telephone_number_type
        @base_telephone_number_type = Base::TelephoneNumberType.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_telephone_number_type_params
        params.require(:base_telephone_number_type).permit(:name)
      end
  end
end
