require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::TelephoneNumbersController < ApplicationController
    before_action :set_base_telephone_number, only: [:show, :edit, :update, :destroy]

    # GET /base/telephone_numbers
    def index
      @base_telephone_numbers = Base::TelephoneNumber.all
    end

    # GET /base/telephone_numbers/1
    def show
    end

    # GET /base/telephone_numbers/new
    def new
      @base_telephone_number = Base::TelephoneNumber.new
    end

    # GET /base/telephone_numbers/1/edit
    def edit
    end

    # POST /base/telephone_numbers
    def create
      @base_telephone_number = Base::TelephoneNumber.new(base_telephone_number_params)

      if @base_telephone_number.save
        redirect_to @base_telephone_number, notice: 'Telephone number was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/telephone_numbers/1
    def update
      if @base_telephone_number.update(base_telephone_number_params)
        redirect_to @base_telephone_number, notice: 'Telephone number was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/telephone_numbers/1
    def destroy
      @base_telephone_number.destroy
      redirect_to base_telephone_numbers_url, notice: 'Telephone number was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_telephone_number
        @base_telephone_number = Base::TelephoneNumber.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_telephone_number_params
        params.require(:base_telephone_number).permit(:value, :telephone_number_type_id)
      end
  end
end
