require_dependency "core_models/core_models_controller"

module CoreModels
  class Base::WebAddressesController < ApplicationController
    before_action :set_base_web_address, only: [:show, :edit, :update, :destroy]

    # GET /base/web_addresses
    def index
      @base_web_addresses = Base::WebAddress.all
    end

    # GET /base/web_addresses/1
    def show
    end

    # GET /base/web_addresses/new
    def new
      @base_web_address = Base::WebAddress.new
    end

    # GET /base/web_addresses/1/edit
    def edit
    end

    # POST /base/web_addresses
    def create
      @base_web_address = Base::WebAddress.new(base_web_address_params)

      if @base_web_address.save
        redirect_to @base_web_address, notice: 'Web address was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /base/web_addresses/1
    def update
      if @base_web_address.update(base_web_address_params)
        redirect_to @base_web_address, notice: 'Web address was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /base/web_addresses/1
    def destroy
      @base_web_address.destroy
      redirect_to base_web_addresses_url, notice: 'Web address was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_base_web_address
        @base_web_address = Base::WebAddress.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def base_web_address_params
        params.require(:base_web_address).permit(:value, :web_address_type_id)
      end
  end
end
