require_dependency "core_models/application_controller"

module CoreModels
  class I18n::CountryCurrenciesController < ApplicationController
    before_action :set_i18n_country_currency, only: [:show, :edit, :update, :destroy]

    # GET /i18n/country_currencies
    def index
      @i18n_country_currencies = I18n::CountryCurrency.all
    end

    # GET /i18n/country_currencies/1
    def show
    end

    # GET /i18n/country_currencies/new
    def new
      @i18n_country_currency = I18n::CountryCurrency.new
    end

    # GET /i18n/country_currencies/1/edit
    def edit
    end

    # POST /i18n/country_currencies
    def create
      @i18n_country_currency = I18n::CountryCurrency.new(i18n_country_currency_params)

      if @i18n_country_currency.save
        redirect_to @i18n_country_currency, notice: 'Country currency was successfully created.'
      else
        render :new
      end
    end

    # PATCH/PUT /i18n/country_currencies/1
    def update
      if @i18n_country_currency.update(i18n_country_currency_params)
        redirect_to @i18n_country_currency, notice: 'Country currency was successfully updated.'
      else
        render :edit
      end
    end

    # DELETE /i18n/country_currencies/1
    def destroy
      @i18n_country_currency.destroy
      redirect_to i18n_country_currencies_url, notice: 'Country currency was successfully destroyed.'
    end

    private
      # Use callbacks to share common setup or constraints between actions.
      def set_i18n_country_currency
        @i18n_country_currency = I18n::CountryCurrency.find(params[:id])
      end

      # Only allow a trusted parameter "white list" through.
      def i18n_country_currency_params
        params.require(:i18n_country_currency).permit(:iso_4217_country_name, :iso_4217_3char_country_code, :iso_4217_2char_country_code, :iso_4217_numeric_country_code, :iso_3166_currency_name, :iso_3166_currency_code, :iso_3166_default_numeric_currency_code, :iso_3166_numeric_currency_code, :iso_3166_currency_minor_units)
      end
  end
end
