module CoreModels
  class I18n::Country < ApplicationRecord
    include ActionView::Helpers::AssetUrlHelper

    has_many :cities, :class_name => '::CoreModels::Base::City'

    #attr_accessible :id, :iso_code, :name

    validates :iso_code, :presence => true
    validates :name, :presence => true

    #----------------------------------------------------------------------------

    def to_s
      iso_code_with_name
    end

    def iso_code_with_name
      "#{name} (#{iso_code})"
    end

    def best_name
      return name
      #value = name_mixed_case.blank? ? name : name_mixed_case
      #value
    end

    def best_name_fr
      return name
      #value = name_mixed_case_fr.blank? ? (name_fr.blank? ? best_name : name_fr) : name_mixed_case_fr
      #value
    end

    def flag_icon_url
      asset_url("assets/flag_icons/#{iso_code.downcase}.png") #, skip_pipeline: true)
    end

    def currency
      ::CoreModels::I18n::CountryCurrency.currency_for_iso_4217_2char_country_code(iso_code)
    end
  end
end
