module CoreModels
  class I18n::CountryCurrency < ApplicationRecord
    # Dataset comes from: http://www.contactlesspaymentcards.com/country-currency-codes.php
    # iso_4217_country <---> iso_3166_currency

    def country
      ::CoreModels::I18n::Country.find_by(iso_code: iso_4217_2char_country_code).first
    end

    def currency
      ::CoreModels::Base::Currency.find_by(iso_code: iso_3166_currency_code).first
    end

    def self.currency_for_iso_4217_2char_country_code(iso_4217_2char_country_code)
      country_currency = ::CoreModels::I18n::CountryCurrency.find_by(iso_4217_2char_country_code: iso_4217_2char_country_code)
      country_currency.present? ? ::CoreModels::Base::Currency.find_by(iso_code: country_currency.iso_3166_currency_code) : nil
    end

    def self.countries_for_iso_3166_currency_code(iso_3166_currency_code)
      country_currencies = ::CoreModels::I18n::CountryCurrency.where(iso_3166_currency_code: iso_3166_currency_code)
      country_currencies.present? ? ::CoreModels::I18n::Country.where(iso_code: country_currencies.map(&:iso_4217_2char_country_code)) : nil
    end
  end
end
