class CreateCoreI18nCountryCurrencies < ActiveRecord::Migration[6.0]
  def change
    create_table :core_i18n_country_currencies do |t|
      t.string :iso_4217_country_name
      t.string :iso_4217_3char_country_code
      t.string :iso_4217_2char_country_code
      t.string :iso_4217_numeric_country_code
      t.string :iso_3166_currency_name
      t.string :iso_3166_currency_code
      t.string :iso_3166_default_numeric_currency_code
      t.string :iso_3166_numeric_currency_code
      t.string :iso_3166_currency_minor_units

      #t.timestamps
    end

    add_index :core_i18n_country_currencies, :iso_4217_country_name, name: 'index_core_i18n_country_currencies_on_country_name'
    add_index :core_i18n_country_currencies, :iso_4217_3char_country_code, name: 'index_core_i18n_country_currencies_on_3char_country_code'
    add_index :core_i18n_country_currencies, :iso_4217_2char_country_code, name: 'index_core_i18n_country_currencies_on_2char_country_code'
    add_index :core_i18n_country_currencies, :iso_3166_currency_name, name: 'index_core_i18n_country_currencies_on_currency_name'
    add_index :core_i18n_country_currencies, :iso_3166_currency_code, name: 'index_core_i18n_country_currencies_on_currency_code'
  end
end
