require 'csv'

city_data_file = File.join(File.dirname(__FILE__), 'city-data', 'worldcities.csv')

line_no = 1
keys = []

ActiveRecord::Base.transaction do
  CSV.foreach(city_data_file) do |row|
    # puts "line #{line_no}"

    if line_no == 1
      # First row is a header
      row.each do |field|
        keys << field
      end
    else
      # data
      attributes = {}
      field_number = 0
      keys.each do |key|
        attributes[ key.to_sym ] = (row[field_number].blank? ? nil : row[field_number])
        field_number += 1
      end

      # puts attributes

      city_attributes =  {
        name: attributes[:city],
        name_ascii: attributes[:city_ascii],
        region: attributes[:admin_name],
        latitude: attributes[:lat].to_f,
        longitude: attributes[:lng].to_f,
        country: ::CoreModels::I18n::Country.find_by(iso_code: attributes[:iso2]),
      }

      # puts city_attributes

      ::CoreModels::Base::City.create(city_attributes)
    end

    line_no += 1
  end
end
